import sys, os, math, time
import numpy as np
import pandas as pd
'''
wavacc.py for interpolate accelerometer data and extract feature as stroke.
Denosing step is not implemented this module. See addValidDetection function in coordsi.py for denoising.
'''
def interpolation(df):
    try:
        #implement data here
    except Exception as e:
        print(e)
        return df
    
def decomposition(df):
    try:
        #implemnet decompositino with wavelet transform here
    except Exception as e:
        print(e)
        return df

def getStroke(df):
    try:
        #implement get stroke here
    except Exception as e:
        print(e)
        return df

def mergeToDataFrame(df):
    try:
        #implement merge to dataframe here
    except Exception as e:
        print(e)
        return df
